create_clock -period 8.000 -name mgtclk1_227_p_i -waveform {0.000 4.000} [get_ports mgtclk1_227_p_i]
create_clock -period 50.000 -name clk_20m_vcxo1_i -waveform {0.000 25.000} [get_ports clk_20m_vcxo1_i]
create_clock -period 16.000 -name clk_pl_0 -waveform {0.000 8.000} [get_ports U_ps_core/ps_i/cmp_zynq/U0/pl_clk0]

#set_false_path -from [get_clocks I] -to [get_clocks {from_phys[0][tx_out_clk]}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_1}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_2}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_3}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_4}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_5}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_6}]
#set_false_path -from [get_clocks I] -to [get_clocks {rxoutclk_out[0]_7}]

create_clock -period 16.000 -name clk_rx0 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[0].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx1 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[1].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx2 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[2].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx3 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[3].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx4 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[4].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx5 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[5].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx6 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[6].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_clock -period 16.000 -name clk_rx7 -waveform {0.000 8.000} [get_nets {afcz_wrs_8p_top/inst/gen_phys[7].U_PHY/U_gtwizard_gthe4/inst/gen_gtwizard_gthe4_top.gtwizard_ultrascale_2_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/rxoutclk_out[0]}]
create_generated_clock -name clk_dmtd_62_5 -source [get_pins afcz_wrs_8p_top/inst/U_DMTD_Clock_PLL/CLKIN1] -master_clock clk_20m_vcxo1_i [get_pins top_i/afcz_wrs_8p_top_0/inst/U_DMTD_Clock_PLL/CLKOUT0]

set_clock_groups -name async_clks -asynchronous \
-group [get_clocks -include_generated_clocks mgtclk1_227_p_i] \
-group [get_clocks -include_generated_clocks clk_20m_vcxo1_i] \
-group [get_clocks -include_generated_clocks clk_pl_0] \
-group [get_clocks -include_generated_clocks clk_rx0] \
-group [get_clocks -include_generated_clocks clk_rx1] \
-group [get_clocks -include_generated_clocks clk_rx2] \
-group [get_clocks -include_generated_clocks clk_rx3] \
-group [get_clocks -include_generated_clocks clk_rx4] \
-group [get_clocks -include_generated_clocks clk_rx5] \
-group [get_clocks -include_generated_clocks clk_rx6] \
-group [get_clocks -include_generated_clocks clk_rx7] \

###################################################
##      Clocks
###################################################

# 125 MHz clock from onboard synthesizer

# IC33-OUT9


# 100 MHz PCIe clock



###################################################
##  RESET FROM MMC (PS_SRST)
###################################################

set_property PACKAGE_PIN B10 [get_ports MMC_nreset_i]
set_property IOSTANDARD LVCMOS33 [get_ports MMC_nreset_i]
set_property PULLUP true [get_ports MMC_nreset_i]


###################################################
##  UART (PRI_UART)
###################################################

### UART Rx (PRI_UART_RxD - pin E10)
#set_property PACKAGE_PIN C13 [get_ports uart_rxd_i]
set_property PACKAGE_PIN E10 [get_ports uart_rxd_i]
set_property IOSTANDARD LVCMOS33 [get_ports uart_rxd_i]

### UART Tx (PRI_UART_TxD - pin F10)
#set_property PACKAGE_PIN D14 [get_ports uart_txd_o]
set_property PACKAGE_PIN F10 [get_ports uart_txd_o]
set_property IOSTANDARD LVCMOS33 [get_ports uart_txd_o]

#
##set_property PACKAGE_PIN AM2 [get_ports {pci_exp_rxp_i[0]}]
##set_property PACKAGE_PIN AM1 [get_ports {pci_exp_rxn_i[0]}]
##set_property PACKAGE_PIN AM6 [get_ports {pci_exp_txp_o[0]}]
##set_property PACKAGE_PIN AM5 [get_ports {pci_exp_txn_o[0]}]
##set_property PACKAGE_PIN AL4 [get_ports {pci_exp_rxp_i[1]}]
##set_property PACKAGE_PIN AL3 [get_ports {pci_exp_rxn_i[1]}]
##set_property PACKAGE_PIN AL8 [get_ports {pci_exp_txp_o[1]}]
##set_property PACKAGE_PIN AL7 [get_ports {pci_exp_txn_o[1]}]
##set_property PACKAGE_PIN AK2 [get_ports {pci_exp_rxp_i[2]}]
##set_property PACKAGE_PIN AK1 [get_ports {pci_exp_rxn_i[2]}]
##set_property PACKAGE_PIN AK6 [get_ports {pci_exp_txp_o[2]}]
##set_property PACKAGE_PIN AK5 [get_ports {pci_exp_txn_o[2]}]
##set_property PACKAGE_PIN AJ4 [get_ports {pci_exp_rxp_i[3]}]
##set_property PACKAGE_PIN AJ3 [get_ports {pci_exp_rxn_i[3]}]
##set_property PACKAGE_PIN AJ8 [get_ports {pci_exp_txp_o[3]}]
##set_property PACKAGE_PIN AJ7 [get_ports {pci_exp_txn_o[3]}]
#
## Commands for enabled transceiver GTHE4_CHANNEL_X0Y0
## ----------------------------------------------------------------------------------------------------------------------
#
## Channel primitive location constraint
#set_property LOC GTHE4_CHANNEL_X0Y0 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[0].GTHE4_CHANNEL_PRIM_INST}]
#set_property LOC GTHE4_CHANNEL_X0Y3 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[0].GTHE4_CHANNEL_PRIM_INST}]
#
## Channel primitive serial data pin location constraints
## (Provided as comments for your reference. The channel primitive location constraint is sufficient.)
##set_property package_pin AM1 [get_ports gthrxn_in[0]]
##set_property package_pin AM2 [get_ports gthrxp_in[0]]
##set_property package_pin AM5 [get_ports gthtxn_out[0]]
##set_property package_pin AM6 [get_ports gthtxp_out[0]]
#
## CPLL calibration block constraints
#create_clock -period 8.000 [get_pins -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*bufg_gt_txoutclkmon_inst/O}]
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*U_TXOUTCLK_FREQ_COUNTER/testclk_cnt_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*U_TXOUTCLK_FREQ_COUNTER/freq_cnt_o_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*U_TXOUTCLK_FREQ_COUNTER/tstclk_rst_dly1_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[0].*U_TXOUTCLK_FREQ_COUNTER/testclk_en_dly1_reg*}] -quiet
#
#
#
## Commands for enabled transceiver GTHE4_CHANNEL_X0Y1
## ----------------------------------------------------------------------------------------------------------------------
#
## Channel primitive location constraint
#set_property LOC GTHE4_CHANNEL_X0Y1 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[1].GTHE4_CHANNEL_PRIM_INST}]
#set_property LOC GTHE4_CHANNEL_X0Y2 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[1].GTHE4_CHANNEL_PRIM_INST}]
#
## Channel primitive serial data pin location constraints
## (Provided as comments for your reference. The channel primitive location constraint is sufficient.)
##set_property package_pin AL3 [get_ports gthrxn_in[1]]
##set_property package_pin AL4 [get_ports gthrxp_in[1]]
##set_property package_pin AL7 [get_ports gthtxn_out[1]]
##set_property package_pin AL8 [get_ports gthtxp_out[1]]
#
## CPLL calibration block constraints
#create_clock -period 8.000 [get_pins -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*bufg_gt_txoutclkmon_inst/O}]
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*U_TXOUTCLK_FREQ_COUNTER/testclk_cnt_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*U_TXOUTCLK_FREQ_COUNTER/freq_cnt_o_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*U_TXOUTCLK_FREQ_COUNTER/tstclk_rst_dly1_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[1].*U_TXOUTCLK_FREQ_COUNTER/testclk_en_dly1_reg*}] -quiet
#
#
#
## Commands for enabled transceiver GTHE4_CHANNEL_X0Y2
## ----------------------------------------------------------------------------------------------------------------------
#
## Channel primitive location constraint
#set_property LOC GTHE4_CHANNEL_X0Y2 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[2].GTHE4_CHANNEL_PRIM_INST}]
#set_property LOC GTHE4_CHANNEL_X0Y1 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[2].GTHE4_CHANNEL_PRIM_INST}]
#
## Channel primitive serial data pin location constraints
## (Provided as comments for your reference. The channel primitive location constraint is sufficient.)
##set_property package_pin AK1 [get_ports gthrxn_in[2]]
##set_property package_pin AK2 [get_ports gthrxp_in[2]]
##set_property package_pin AK5 [get_ports gthtxn_out[2]]
##set_property package_pin AK6 [get_ports gthtxp_out[2]]
#
## CPLL calibration block constraints
#create_clock -period 8.000 [get_pins -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*bufg_gt_txoutclkmon_inst/O}]
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*U_TXOUTCLK_FREQ_COUNTER/testclk_cnt_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*U_TXOUTCLK_FREQ_COUNTER/freq_cnt_o_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*U_TXOUTCLK_FREQ_COUNTER/tstclk_rst_dly1_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[2].*U_TXOUTCLK_FREQ_COUNTER/testclk_en_dly1_reg*}] -quiet
#
## Commands for enabled transceiver GTHE4_CHANNEL_X0Y3
## ----------------------------------------------------------------------------------------------------------------------
#
## Channel primitive location constraint
#set_property LOC GTHE4_CHANNEL_X0Y3 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[3].GTHE4_CHANNEL_PRIM_INST}]
#set_property LOC GTHE4_CHANNEL_X0Y0 [get_cells -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[3].GTHE4_CHANNEL_PRIM_INST}]
#
## Channel primitive serial data pin location constraints
## (Provided as comments for your reference. The channel primitive location constraint is sufficient.)
##set_property package_pin AJ3 [get_ports gthrxn_in[3]]
##set_property package_pin AJ4 [get_ports gthrxp_in[3]]
##set_property package_pin AJ7 [get_ports gthtxn_out[3]]
##set_property package_pin AJ8 [get_ports gthtxp_out[3]]
#
## CPLL calibration block constraints
#create_clock -period 8.000 [get_pins -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*bufg_gt_txoutclkmon_inst/O}]
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*U_TXOUTCLK_FREQ_COUNTER/testclk_cnt_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*U_TXOUTCLK_FREQ_COUNTER/freq_cnt_o_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*U_TXOUTCLK_FREQ_COUNTER/tstclk_rst_dly1_reg*}] -quiet
#set_false_path -from [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*U_TXOUTCLK_FREQ_COUNTER/state_reg*}] -to [get_cells -hierarchical -filter {NAME =~ *gen_cpll_cal_inst[3].*U_TXOUTCLK_FREQ_COUNTER/testclk_en_dly1_reg*}] -quiet
#
## False path constraints
## ----------------------------------------------------------------------------------------------------------------------
#
#set_false_path -to [get_cells -hierarchical -filter {NAME =~ *bit_synchronizer*inst/i_in_meta_reg}]
#
###set_false_path -to [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_*_reg}]
#set_false_path -to [get_pins -filter REF_PIN_NAME=~*D -of_objects [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_meta*}]]
#set_false_path -to [get_pins -filter REF_PIN_NAME=~*PRE -of_objects [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_meta*}]]
#set_false_path -to [get_pins -filter REF_PIN_NAME=~*PRE -of_objects [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_sync1*}]]
#set_false_path -to [get_pins -filter REF_PIN_NAME=~*PRE -of_objects [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_sync2*}]]
#set_false_path -to [get_pins -filter REF_PIN_NAME=~*PRE -of_objects [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_sync3*}]]
#set_false_path -to [get_pins -filter REF_PIN_NAME=~*PRE -of_objects [get_cells -hierarchical -filter {NAME =~ *reset_synchronizer*inst/rst_in_out*}]]

###################################################
##      Clocks for MGTs SI5338 (U571) control
###################################################

## Bank 48 voltage = 1.8V
#set_property PACKAGE_PIN AF27 [get_ports mgt_ck_int_i]
#set_property IOSTANDARD LVCMOS18 [get_ports mgt_ck_int_i]
#
## Bank 48 voltage = 1.8v
#set_property PACKAGE_PIN AE27 [get_ports mgt_ck_scl_b]
#set_property IOSTANDARD LVCMOS18 [get_ports mgt_ck_scl_b]
#
## Bank 48 voltage = 1.8v
#set_property PACKAGE_PIN AG34 [get_ports mgt_ck_sda_b]
#set_property IOSTANDARD LVCMOS18 [get_ports mgt_ck_sda_b]
#
#
####################################################
###      SFP optical links
####################################################
#
#set_property PACKAGE_PIN L8 [get_ports rtm_usr_sda_b]
#set_property IOSTANDARD LVCMOS18 [get_ports rtm_usr_sda_b]
#
#set_property PACKAGE_PIN K8 [get_ports rtm_usr_scl_b]
#set_property IOSTANDARD LVCMOS18 [get_ports rtm_usr_scl_b]
#
### Optical links (white rabbit)
#

set_property PACKAGE_PIN AE11 [get_ports mgtclk1_224_n_i]
set_property PACKAGE_PIN AE12 [get_ports mgtclk1_224_p_i]

set_property PACKAGE_PIN U11 [get_ports mgtclk0_228_n_i]
set_property PACKAGE_PIN U12 [get_ports mgtclk0_228_p_i]

set_property PACKAGE_PIN T9 [get_ports mgtclk1_228_n_i]
set_property PACKAGE_PIN T10 [get_ports mgtclk1_228_p_i]

set_property PACKAGE_PIN W11 [get_ports mgtclk0_227_n_i]
set_property PACKAGE_PIN W12 [get_ports mgtclk0_227_p_i]

set_property PACKAGE_PIN V9 [get_ports mgtclk1_227_n_i]
set_property PACKAGE_PIN V10 [get_ports mgtclk1_227_p_i]

set_property PACKAGE_PIN AA11 [get_ports mgtclk0_226_n_i]
set_property PACKAGE_PIN AA12 [get_ports mgtclk0_226_p_i]

set_property PACKAGE_PIN Y9 [get_ports mgtclk1_226_n_i]
set_property PACKAGE_PIN Y10 [get_ports mgtclk1_226_p_i]

set_property PACKAGE_PIN AD9 [get_ports mgtclk0_225_n_i]
set_property PACKAGE_PIN AD10 [get_ports mgtclk0_225_p_i]

set_property PACKAGE_PIN AB9 [get_ports mgtclk1_225_n_i]
set_property PACKAGE_PIN AB10 [get_ports mgtclk1_225_p_i]

#

### I2C  (FPGA_I2C)
#
set_property PACKAGE_PIN A11 [get_ports i2c_scl_b]
set_property IOSTANDARD LVCMOS33 [get_ports i2c_scl_b]
set_property PULLUP TRUE [get_ports i2c_scl_b]

set_property PACKAGE_PIN A12 [get_ports i2c_sda_b]
set_property IOSTANDARD LVCMOS33 [get_ports i2c_sda_b]
set_property PULLUP TRUE [get_ports i2c_sda_b]

#set_property PACKAGE_PIN AK33 [get_ports sfp1_prsnt_n_i]
#set_property IOSTANDARD LVCMOS12 [get_ports sfp1_prsnt_n_i]
#set_property PULLUP true [get_ports sfp1_prsnt_n_i]
#

#
### Lane 1
#
#set_property PACKAGE_PIN M2 [get_ports {mgt228_rx_p_i[0]}]
#set_property PACKAGE_PIN M1 [get_ports {mgt228_rx_n_i[0]}]
#set_property PACKAGE_PIN M6 [get_ports {mgt228_tx_p_o[0]}]
#set_property PACKAGE_PIN M5 [get_ports {mgt228_tx_n_o[0]}]

#set_property PACKAGE_PIN L4 [get_ports {mgt228_rx_p_i[1]}]
#set_property PACKAGE_PIN L3 [get_ports {mgt228_rx_n_i[1]}]
#set_property PACKAGE_PIN L8 [get_ports {mgt228_tx_p_o[1]}]
#set_property PACKAGE_PIN L7 [get_ports {mgt228_tx_n_o[1]}]

#set_property PACKAGE_PIN K2 [get_ports {mgt228_rx_p_i[2]}]
#set_property PACKAGE_PIN K1 [get_ports {mgt228_rx_n_i[2]}]
#set_property PACKAGE_PIN K6 [get_ports {mgt228_tx_p_o[2]}]
#set_property PACKAGE_PIN K5 [get_ports {mgt228_tx_n_o[2]}]

#set_property PACKAGE_PIN J4 [get_ports {mgt228_rx_p_i[3]}]
#set_property PACKAGE_PIN J3 [get_ports {mgt228_rx_n_i[3]}]
#set_property PACKAGE_PIN J8 [get_ports {mgt228_tx_p_o[3]}]
#set_property PACKAGE_PIN J7 [get_ports {mgt228_tx_n_o[3]}]
#
### Lane 2 (SFP link FMC2)
#
set_property PACKAGE_PIN T2 [get_ports {mgt227_rx_p_i[0]}]
set_property PACKAGE_PIN T1 [get_ports {mgt227_rx_n_i[0]}]
set_property PACKAGE_PIN T6 [get_ports {mgt227_tx_p_o[0]}]
set_property PACKAGE_PIN T5 [get_ports {mgt227_tx_n_o[0]}]

set_property PACKAGE_PIN R4 [get_ports {mgt227_rx_p_i[1]}]
set_property PACKAGE_PIN R3 [get_ports {mgt227_rx_n_i[1]}]
set_property PACKAGE_PIN R8 [get_ports {mgt227_tx_p_o[1]}]
set_property PACKAGE_PIN R7 [get_ports {mgt227_tx_n_o[1]}]

set_property PACKAGE_PIN P2 [get_ports {mgt227_rx_p_i[2]}]
set_property PACKAGE_PIN P1 [get_ports {mgt227_rx_n_i[2]}]
set_property PACKAGE_PIN P6 [get_ports {mgt227_tx_p_o[2]}]
set_property PACKAGE_PIN P5 [get_ports {mgt227_tx_n_o[2]}]

set_property PACKAGE_PIN N4 [get_ports {mgt227_rx_p_i[3]}]
set_property PACKAGE_PIN N3 [get_ports {mgt227_rx_n_i[3]}]
set_property PACKAGE_PIN N8 [get_ports {mgt227_tx_p_o[3]}]
set_property PACKAGE_PIN N7 [get_ports {mgt227_tx_n_o[3]}]

#
### Lane 3
#
#set_property PACKAGE_PIN Y2 [get_ports {mgt226_rx_p_i[0]}]
#set_property PACKAGE_PIN Y1 [get_ports {mgt226_rx_n_i[0]}]
#set_property PACKAGE_PIN Y6 [get_ports {mgt226_tx_p_o[0]}]
#set_property PACKAGE_PIN Y5 [get_ports {mgt226_tx_n_o[0]}]

#set_property PACKAGE_PIN W4 [get_ports {mgt226_rx_p_i[1]}]
#set_property PACKAGE_PIN W3 [get_ports {mgt226_rx_n_i[1]}]
#set_property PACKAGE_PIN W8 [get_ports {mgt226_tx_p_o[1]}]
#set_property PACKAGE_PIN W7 [get_ports {mgt226_tx_n_o[1]}]

#set_property PACKAGE_PIN V2 [get_ports {mgt226_rx_p_i[2]}]
#set_property PACKAGE_PIN V1 [get_ports {mgt226_rx_n_i[2]}]
#set_property PACKAGE_PIN V6 [get_ports {mgt226_tx_p_o[2]}]
#set_property PACKAGE_PIN V5 [get_ports {mgt226_tx_n_o[2]}]

#set_property PACKAGE_PIN U4 [get_ports {mgt226_rx_p_i[3]}]
#set_property PACKAGE_PIN U3 [get_ports {mgt226_rx_n_i[3]}]
#set_property PACKAGE_PIN U8 [get_ports {mgt226_tx_p_o[3]}]
#set_property PACKAGE_PIN U7 [get_ports {mgt226_tx_n_o[3]}]

#
### Lane 4 (SFP link FMC1)
#
set_property PACKAGE_PIN AD2 [get_ports {mgt225_rx_p_i[0]}]
set_property PACKAGE_PIN AD1 [get_ports {mgt225_rx_n_i[0]}]
set_property PACKAGE_PIN AD6 [get_ports {mgt225_tx_p_o[0]}]
set_property PACKAGE_PIN AD5 [get_ports {mgt225_tx_n_o[0]}]

set_property PACKAGE_PIN AC4 [get_ports {mgt225_rx_p_i[1]}]
set_property PACKAGE_PIN AC3 [get_ports {mgt225_rx_n_i[1]}]
set_property PACKAGE_PIN AC8 [get_ports {mgt225_tx_p_o[1]}]
set_property PACKAGE_PIN AC7 [get_ports {mgt225_tx_n_o[1]}]

set_property PACKAGE_PIN AB2 [get_ports {mgt225_rx_p_i[2]}]
set_property PACKAGE_PIN AB1 [get_ports {mgt225_rx_n_i[2]}]
set_property PACKAGE_PIN AB6 [get_ports {mgt225_tx_p_o[2]}]
set_property PACKAGE_PIN AB5 [get_ports {mgt225_tx_n_o[2]}]

set_property PACKAGE_PIN AA4 [get_ports {mgt225_rx_p_i[3]}]
set_property PACKAGE_PIN AA3 [get_ports {mgt225_rx_n_i[3]}]
set_property PACKAGE_PIN AA8 [get_ports {mgt225_tx_p_o[3]}]
set_property PACKAGE_PIN AA7 [get_ports {mgt225_tx_n_o[3]}]


## SFP I2C
# SFP 0 I2C
set_property PACKAGE_PIN G24 [get_ports {sfp_scl_b[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_scl_b[0]}]
set_property PACKAGE_PIN G25 [get_ports {sfp_sda_b[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_sda_b[0]}]
## SFP 1 I2C
set_property PACKAGE_PIN F17 [get_ports {sfp_scl_b[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_scl_b[1]}]
set_property PACKAGE_PIN F16 [get_ports {sfp_sda_b[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_sda_b[1]}]
## SFP 2 I2C
set_property PACKAGE_PIN N22 [get_ports {sfp_scl_b[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_scl_b[2]}]
set_property PACKAGE_PIN N23 [get_ports {sfp_sda_b[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_sda_b[2]}]
## SFP 3 I2C
set_property PACKAGE_PIN L22 [get_ports {sfp_scl_b[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_scl_b[3]}]
set_property PACKAGE_PIN L23 [get_ports {sfp_sda_b[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_sda_b[3]}]


###################################################
##  MMC signals
###################################################

## Bank 65 voltage = 2.5V (MISO)
#set_property PACKAGE_PIN K22 [get_ports mmc_zone3_a1_flag_i]
#set_property IOSTANDARD LVCMOS25 [get_ports mmc_zone3_a1_flag_i]
#
## Bank 65 voltage = 2.5V (MOSI)
#set_property PACKAGE_PIN N27 [get_ports mmc_zone3_a0_flag_i]
#set_property IOSTANDARD LVCMOS25 [get_ports mmc_zone3_a0_flag_i]

# MISO will be used as MMC_ZONE3_A1 flag

# Bank 65 voltage = 2.5V
#set_property PACKAGE_PIN K22 [get_ports mmc_spi_miso];
#set_property IOSTANDARD LVCMOS25 [get_ports mmc_spi_miso];# Bank 65 voltage = 2.5V

# MOSI will be used as MMC_ZONE3_a0 flag

# Bank 65 voltage = 2.5v
#set_property PACKAGE_PIN N27 [get_ports mmc_spi_mosi];
#set_property IOSTANDARD LVCMOS25 [get_ports mmc_spi_mosi];# Bank 65 voltage = 2.5V

# Bank 64 voltage = 2.5v
#set_property PACKAGE_PIN AE10 [get_ports mmc_spi_sck];
#set_property IOSTANDARD LVCMOS25 [get_ports mmc_spi_sck]; # Bank 64 voltage = 2.5V

# Bank 65 voltage = 2.5v
#set_property PACKAGE_PIN H23 [get_ports mmc_spi_ss_l];
#set_property IOSTANDARD LVCMOS25 [get_ports mmc_spi_ss_l];# Bank 65 voltage = 2.5V

## Bank 34 voltage = 1.2v
#set_property PACKAGE_PIN AP18 [get_ports mmc_fpga_rxd_i]
#set_property IOSTANDARD LVCMOS12 [get_ports mmc_fpga_rxd_i]
#
## Bank 34 voltage = 1.2v
#set_property PACKAGE_PIN AP16 [get_ports mmc_fpga_txd_i]
#set_property IOSTANDARD LVCMOS12 [get_ports mmc_fpga_txd_i]








###################################################
##  White Rabbit
###################################################

# Bank 64 voltage = 2.5V
#set_property PACKAGE_PIN AG10 [get_ports WR_CLK_N]
#set_property IOSTANDARD LVDS_25 [get_ports WR_CLK_N]
#set_property DIFF_TERM_ADV TERM_100 [get_ports WR_CLK_N]

## Bank 64 voltage = 2.5V
#set_property PACKAGE_PIN AF10 [get_ports WR_CLK_P]
#set_property IOSTANDARD LVDS_25 [get_ports WR_CLK_P]
#set_property DIFF_TERM_ADV TERM_100 [get_ports WR_CLK_P]

## Bank 64 voltage = 1.8V
#set_property PACKAGE_PIN AU26 [get_ports clk_20m_vcxo_i]
#set_property IOSTANDARD LVCMOS18 [get_ports clk_20m_vcxo_i]

set_property PACKAGE_PIN F21 [get_ports clk_aux_p_i]
set_property IOSTANDARD LVDS [get_ports clk_aux_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports clk_aux_p_i]

set_property PACKAGE_PIN F22 [get_ports clk_aux_n_i]
set_property IOSTANDARD LVDS [get_ports clk_aux_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports clk_aux_n_i]

set_property PACKAGE_PIN E27 [get_ports clk_helper_p_i]
set_property IOSTANDARD LVDS [get_ports clk_helper_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports clk_helper_p_i]

set_property PACKAGE_PIN E28 [get_ports clk_helper_n_i]
set_property IOSTANDARD LVDS [get_ports clk_helper_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports clk_helper_n_i]

set_property PACKAGE_PIN AV6 [get_ports clk_ref_n_i]
set_property IOSTANDARD LVDS [get_ports clk_ref_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports clk_ref_n_i]

set_property PACKAGE_PIN AU6 [get_ports clk_ref_p_i]
set_property IOSTANDARD LVDS [get_ports clk_ref_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports clk_ref_p_i]

# WR DAC 1 Bank voltage = 3.3V (on AFCZ board)
#set_property PACKAGE_PIN G10 [get_ports wr_dac1_din_o]
#set_property IOSTANDARD LVCMOS33 [get_ports wr_dac1_din_o]

#set_property PACKAGE_PIN G11 [get_ports wr_dac1_sclk_o]
#set_property IOSTANDARD LVCMOS33 [get_ports wr_dac1_sclk_o]

#set_property PACKAGE_PIN H12 [get_ports {wr_dac1_sync_n_o[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {wr_dac1_sync_n_o[0]}]

#set_property PACKAGE_PIN H11 [get_ports {wr_dac1_sync_n_o[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {wr_dac1_sync_n_o[1]}]

#set_property PACKAGE_PIN J10 [get_ports si57x_scl_b]
#set_property PACKAGE_PIN F11 [get_ports si57x_scl_b]
#set_property IOSTANDARD LVCMOS33 [get_ports si57x_scl_b]

#set_property PACKAGE_PIN J11 [get_ports si57x_sda_b]
#set_property PACKAGE_PIN J12 [get_ports si57x_sda_b]
#set_property IOSTANDARD LVCMOS33 [get_ports si57x_sda_b]

#WR DAC on FMC timing board (FMC1 slot)

set_property PACKAGE_PIN A31 [get_ports wr_dac1_din_o]
set_property IOSTANDARD LVCMOS18 [get_ports wr_dac1_din_o]

set_property PACKAGE_PIN C28 [get_ports wr_dac1_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports wr_dac1_sclk_o]

set_property PACKAGE_PIN A30 [get_ports {wr_dac1_sync_n_o[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {wr_dac1_sync_n_o[0]}]

#FMC2
#set_property PACKAGE_PIN E17 [get_ports wr_dac1_din_o]
#set_property IOSTANDARD LVCMOS18 [get_ports wr_dac1_din_o]

#set_property PACKAGE_PIN E19 [get_ports wr_dac1_sclk_o]
#set_property IOSTANDARD LVCMOS18 [get_ports wr_dac1_sclk_o]

#set_property PACKAGE_PIN F18 [get_ports {wr_dac1_sync_n_o[1]}]
#set_property IOSTANDARD LVCMOS18 [get_ports {wr_dac1_sync_n_o[1]}]


#Si549 on FMC timing board (using si57x nets...)

set_property PACKAGE_PIN H26 [get_ports si57x_scl_b]
set_property IOSTANDARD LVCMOS18 [get_ports si57x_scl_b]
set_property PULLUP TRUE [get_ports si57x_scl_b]

set_property PACKAGE_PIN J27 [get_ports si57x_sda_b]
set_property IOSTANDARD LVCMOS18 [get_ports si57x_sda_b]
set_property PULLUP TRUE [get_ports si57x_sda_b]

#power enable on FMC timing board

set_property PACKAGE_PIN A23 [get_ports fmc_3v8_enable_o]
set_property IOSTANDARD LVCMOS18 [get_ports fmc_3v8_enable_o]

#unused?
set_property PACKAGE_PIN H11 [get_ports {wr_dac1_sync_n_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {wr_dac1_sync_n_o[1]}]

#hmc7044 interface (FMC1)
set_property PACKAGE_PIN F31 [get_ports hmc_sdata_b]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sdata_b]
set_property PULLUP TRUE [get_ports hmc_sdata_b]

set_property PACKAGE_PIN A25 [get_ports hmc_slen_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_slen_n_o]

set_property PACKAGE_PIN A21 [get_ports hmc_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sclk_o]

set_property PACKAGE_PIN B29 [get_ports hmc_reset_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_reset_o]

set_property PACKAGE_PIN C27 [get_ports hmc_sync_p_o]
set_property IOSTANDARD LVDS [get_ports hmc_sync_p_o]

set_property PACKAGE_PIN B28 [get_ports hmc_sync_n_o]
set_property IOSTANDARD LVDS [get_ports hmc_sync_n_o]

# WR DAC 2 Bank voltage = 3.3V





###################################################
##  MLVDS Bus (Buffer - single ended - FPGA)
###################################################

# Bank voltage = 3.3V
# TX17

# TX18

# TX19

# TX20

# RX17

# RX18

# RX19

# RX20

# TX drive 17

# TX drive 18

# TX drive 19

# TX drive 20

# RX drive 17

# RX drive 18

# RX drive 19

# RX drive 20

###################################################
##  FMC 1
###################################################



###################################################
##  diverse
###################################################

## LED signals


#set_property IOSTANDARD DIFF_SSTL12 [get_ports clk_ddr_clk_p]
#set_property IOSTANDARD DIFF_SSTL12 [get_ports clk_ddr_clk_n]

## Others

# Acknowledge DRC that rtm_usr_sda_b port will be unavailable during calibration via IODelay Controller as it shares same bank
#set_property UNAVAILABLE_DURING_CALIBRATION TRUE [get_ports rtm_usr_sda_b]





